카테고리
Authorizations
x-api-keystringRequired
Query parameters
categoryTypestring · enumRequiredPossible values:
카테고리 타입
Responses
200
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
application/json
resultstring · enumRequiredPossible values:
응답 결과 타입
get/api/v1/categories
GET /api/v1/categories?categoryType=FURNITURE HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
200
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": {
"id": "text",
"parentId": "text",
"name": "text",
"image": "text",
"childCategories": [
{
"id": "text",
"name": "text",
"image": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}Authorizations
x-api-keystringRequired
Path parameters
idstringRequired
카테고리 ID
Responses
200
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
application/json
resultstring · enumRequiredPossible values:
응답 결과 타입
get/api/v1/categories/{id}
GET /api/v1/categories/{id} HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
200
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": {
"id": "text",
"parentId": "text",
"name": "text",
"image": "text",
"childCategories": [
{
"id": "text",
"name": "text",
"image": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}마지막 업데이트
도움이 되었나요?

